[Linux-PowerEdge] Linux-PowerEdge Digest, Vol 104, Issue 15

Rathish_Das at DELL.com Rathish_Das at DELL.com
Mon Feb 4 04:01:48 CST 2013


Hi,
The drac4 dependency was resolved in the YUM build (http://linux.dell.com/repo/hardware/latest/ ) posted on 1/28/2013. Please let us know if you are facing any problem.

Thanks,
Rathish

-----Original Message-----
From: linux-poweredge-bounces-Lists On Behalf Of linux-poweredge-request-Lists
Sent: Thursday, January 17, 2013 11:30 PM
To: linux-poweredge-Lists
Subject: Linux-PowerEdge Digest, Vol 104, Issue 15

Send Linux-PowerEdge mailing list submissions to
	linux-poweredge at dell.com

To subscribe or unsubscribe via the World Wide Web, visit
	https://lists.us.dell.com/mailman/listinfo/linux-poweredge
or, via email, send a message with subject or body 'help' to
	linux-poweredge-request at dell.com

You can reach the person managing the list at
	linux-poweredge-owner at dell.com

When replying, please edit your Subject line so it is more specific than "Re: Contents of Linux-PowerEdge digest..."


Today's Topics:

   1. Re:  OMSA 7.2 completely broken? (Sabuj Pattanayek)
   2.  Drac4p firmware missing dependency
      dell_ie_module(FRMW_DRAC4) (Rainer Traut)
   3.  dell_ie_bios-3.1.0-4.31.2.el6.x86_64 not in the	repository
      anymore (lejeczek)
   4. Re:  firmware gui fix inventory_firmware_gui (Gavin W. Burris)


----------------------------------------------------------------------

Message: 1
Date: Wed, 16 Jan 2013 16:37:19 -0600
From: Sabuj Pattanayek <sabujp at gmail.com>
Subject: Re: [Linux-PowerEdge] OMSA 7.2 completely broken?
To: linux-poweredge at lists.us.dell.com
Message-ID:
	<CAEeMGHtzTm7_kHZgOpWW1d4rJf+NGnDQ5eAUeQqbd1EPu54j3A at mail.gmail.com>
Content-Type: text/plain; charset=ISO-8859-1

There's a bug in one of the subs in
/opt/dell/srvadmin/sbin/CheckSystemType that's causing the system to not register as a supported system since dsm_om_shrsvc is throwing :

Failed to start because system is not supported
dsm_om_shrsvc: DSM SA Shared Services cannot start on an unsupported system. See the Dell Systems Software Support Matrix for a list of supported systems

It definitely is supported since it's >8G (System ID > 0x16C)

# /usr/sbin/smbios-sys-info-lite
Libsmbios:    2.2.26
System ID:    0x0235
Service Tag:  <BLANKED>
Express Service Code: <BLANKED>
Error getting the Aset Tag:  unknown error Product Name: PowerEdge R710 BIOS Version: 3.0.0
Vendor:       Dell Inc.
Is Dell:      1

As a workaround I did :

touch /opt/dell/srvadmin/lib64/openmanage/IGNORE_GENERATION

and then "srvadmin-services.sh start" was able to start, OMSA website and omreport are working properly.


On Wed, Jan 16, 2013 at 9:13 AM, Sabuj Pattanayek <sabujp at gmail.com> wrote:
> Hi,
>
> Just installed OMSA 7.2 on centos 6 x86_64 on a R710, the web 
> interface is up, but it's not reading anything from the system, no 
> sensors, no drive controllers, e.g. :
>
> # omreport storage vdisk
> No virtual disks found
>
> # omreport storage pdisk controller=1
> Invalid controller value. Read, controller=1 No controllers found.
>
> omreport storage pdisk controller=0
> Invalid controller value. Read, controller=0 No controllers found.
>
> I can't ever remember if it starts from 0 or 1, but neither are 
> working
>
> I ran srvadmin-services.sh stop then start, still no help. raidcfg 
> seems to work.
>
> Any ideas?
>
> The older versions just seemed to work.
>
> Thanks,
> Sabuj



------------------------------

Message: 2
Date: Thu, 17 Jan 2013 14:45:32 +0100
From: Rainer Traut <tr.ml at gmx.de>
Subject: [Linux-PowerEdge] Drac4p firmware missing dependency
	dell_ie_module(FRMW_DRAC4)
To: linux-poweredge at dell.com
Message-ID: <50F8007C.6030403 at gmx.de>
Content-Type: text/plain; charset=UTF-8; format=flowed

Hi,

there is a missing dependency:

sys: PE840 with Centos6 x86_64

[root at srv01 ~]# yum install $(bootstrap_firmware) Loaded plugins: dellsysid, fastestmirror, presto, refresh-packagekit, remove-with-leaves, security Loading mirror speeds from cached hostfile ...
No package
pci_firmware(ven_0x8086_dev_0x2779)/system(ven_0x1028_dev_0x01e7) available.
No package pci_firmware(ven_0x8086_dev_0x2779) available.
Resolving Dependencies
--> Running transaction check
---> Package
Remote_Access_Controller_DRAC_4_P_ven_0x1028_dev_0x0012_subven_0x1028_subdev_0x0012.noarch
5:a01-1 will be installed
--> Processing Dependency: dell_ie_module(FRMW_DRAC4) for package: 
5:Remote_Access_Controller_DRAC_4_P_ven_0x1028_dev_0x0012_subven_0x1028_subdev_0x0012-a01-1.noarch
--> Finished Dependency Resolution
Error: Package: 
5:Remote_Access_Controller_DRAC_4_P_ven_0x1028_dev_0x0012_subven_0x1028_subdev_0x0012-a01-1.noarch
(dell-omsa-indep)
            Requires: dell_ie_module(FRMW_DRAC4)
  You could try using --skip-broken to work around the problem
  You could try running: rpm -Va --nofiles --nodigest

Thx
Rainer



------------------------------

Message: 3
Date: Thu, 17 Jan 2013 13:49:11 +0000
From: lejeczek <peljasz at yahoo.co.uk>
Subject: [Linux-PowerEdge] dell_ie_bios-3.1.0-4.31.2.el6.x86_64 not in
	the	repository anymore
To: linux-poweredge at dell.com
Message-ID: <50F80157.6040709 at yahoo.co.uk>
Content-Type: text/plain; charset="utf-8"

one system somehow got -- dell_ie_bios-3.1.0-4.31.2.el6.x86_64
another(virtually identical) has --
dell_ie_bios-3.1.0-4.1.2.el6.x86_64

and higher ver is not there@ this moment I wonder if has anything to do with the fact that latter system fails toupdate Bios -- Server_11G_BIOS_componentid_00159_for_system_ven_0x1028_dev_0x0444-3.0.4-1.noarch
and first one, with "newer" packagemanaged to update this Bios version

anybody experiencing this?
cheers
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://lists.us.dell.com/pipermail/linux-poweredge/attachments/20130117/0bcb5692/attachment-0001.html 

------------------------------

Message: 4
Date: Thu, 17 Jan 2013 10:55:53 -0500
From: "Gavin W. Burris" <bug at sas.upenn.edu>
Subject: Re: [Linux-PowerEdge] firmware gui fix inventory_firmware_gui
To: Dell poweredge Mailling-liste <linux-poweredge at dell.com>
Message-ID: <50F81F09.6030208 at sas.upenn.edu>
Content-Type: text/plain; charset=ISO-8859-1

How should we report bugs with the Dell tools?  Thanks.

On 01/16/2013 02:16 PM, Gavin W. Burris wrote:
> Hello All,
> 
> I thought I should point out a simple fix to the 
> inventory_firmware_gui command from the dell_ft_install package.
> 
> A fresh install reports:
> # inventory_firmware_gui
> No handlers could be found for logger "trace.firmwaretools"
> Traceback (most recent call last):
>   File "/usr/sbin/inventory_firmware_gui", line 939, in main
>     test = InventoryFirmware(base)
>   File "/usr/sbin/inventory_firmware_gui", line 142, in __init__
>     self._populateInventoryTree()
>   File "/usr/sbin/inventory_firmware_gui", line 317, in 
> _populateInventoryTree
>     if self.inv_name[pkg_type] == 1 and self.inv_ver[device.version] == 1:
> 
> 
> If I add this at line 301, all is well:
>          pkg_type = ""
> 
> in /usr/sbin/inventory_firmware_gui
> 
> Cheers,
> 

--
Gavin W. Burris
Senior Systems Programmer
Information Security and Unix Systems
School of Arts and Sciences
University of Pennsylvania



------------------------------

_______________________________________________
Linux-PowerEdge mailing list
Linux-PowerEdge at dell.com
https://lists.us.dell.com/mailman/listinfo/linux-poweredge

End of Linux-PowerEdge Digest, Vol 104, Issue 15
************************************************



More information about the Linux-PowerEdge mailing list